Schema "fpml-bond-option-5-5.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/transparency

Version:

  $Revision: 9765 $

Defined Components:

  1 global element, 9 local elements, 5 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Users\mkoli\FpML Specifications\trunk\xml\transparency\fpml-bond-option-5-5.xsd; see XML source

Includes Schema:

  fpml-option-shared-5-5.xsd [src]

Included in Schema:

  fpml-main-5-5.xsd [src]

All Element Summary
bondOption | A component describing a Bond Option product.
Type: | BondOption
Content: | complex, 1 attribute, 18 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
earlyCallDate | Date prior to which the option buyer will have to pay a Make Whole Amount to the option seller if he/she exercises the option.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin MakeWholeAmount complexType; see XML source
interpolationMethod (in makeWholeAmount) | The type of interpolation method that the calculation agent reserves the right to use.
Type: | InterpolationMethod
Content: | simple, 1 attribute
Defined: | locally witnin MakeWholeAmount complexType; see XML source
makeWholeAmount | Amount to be paid by the buyer of the option if the option is exercised prior to the Early Call Date.
Type: | MakeWholeAmount
Content: | complex, 6 elements
Defined: | locally witnin ReferenceSwapCurve complexType; see XML source
price (in strike in bondOption) |
Type: | OptionStrike
Content: | complex, 3 elements
Defined: | locally witnin BondOptionStrike complexType; see XML source
referenceSwapCurve | The strike of an option when expressed by reference to a swap curve.
Type: | ReferenceSwapCurve
Content: | complex, 2 elements
Defined: | locally witnin BondOptionStrike complexType; see XML source
side (defined in SwapCurveValuation complexType) | The side (bid/mid/ask) of the measure.
Type: | QuotationSideEnum
Content: | simple
Defined: | locally witnin SwapCurveValuation complexType; see XML source
spread (defined in SwapCurveValuation complexType) | Spread in basis points over the floating rate index.
Type: | xsd:decimal
Content: | simple
Defined: | locally witnin SwapCurveValuation complexType; see XML source
strike (in bondOption) | Strike of the the Bond Option.
Type: | BondOptionStrike
Content: | complex, 2 elements
Defined: | locally witnin BondOption complexType; see XML source
swapUnwindValue |
Type: | SwapCurveValuation
Content: | complex, 4 elements
Defined: | locally witnin ReferenceSwapCurve complexType; see XML source

Complex Type Summary
BondOption | A Bond Option
Content: | complex, 1 attribute, 18 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location
BondOptionStrike | A complex type to specify the strike of a bond or convertible bond option.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
MakeWholeAmount | A complex type to specify the amount to be paid by the buyer of the option if the option is exercised prior to the Early Call Date (Typically applicable to the convertible bond options).
Content: | complex, 6 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
ReferenceSwapCurve | A complex type used to specify the option and convertible bond option strike when expressed in reference to a swap curve.
Content: | complex, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
SwapCurveValuation | A complex type to specify a valuation swap curve, which is used as part of the strike construct for the bond and convertible bond options.
Content: | complex, 4 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2013 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="trnsp" ecore:package="org.fpml.transparency" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/transparency" version="$Revision: 9765 $" xmlns="http://www.fpml.org/FpML-5/transparency" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <!--IY: ETTF pretrade IRS and CDS--> <xsd:include schemaLocation="fpml-option-shared-5-5.xsd"/> <xsd:complexType name="BondOption"> <xsd:annotation> <xsd:documentation xml:lang="en">A Bond Option</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="OptionBaseExtended"> <xsd:sequence> <xsd:element name="strike" type="BondOptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en">Strike of the the Bond Option.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="BondChoice.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="BondOptionStrike"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type to specify the strike of a bond or convertible bond option. </xsd:documentation> </xsd:annotation> <xsd:choice> <xsd:element name="referenceSwapCurve" type="ReferenceSwapCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> The strike of an option when expressed by reference to a swap curve. (Typically the case for a convertible bond option.) </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="price" type="OptionStrike"/> </xsd:choice> </xsd:complexType> <xsd:complexType name="MakeWholeAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type to specify the amount to be paid by the buyer of the option if the option is exercised prior to the Early Call Date (Typically applicable to the convertible bond options). </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="SwapCurveValuation"> <xsd:sequence> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"> <xsd:annotation> <xsd:documentation xml:lang="en"> The type of interpolation method that the calculation agent reserves the right to use. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="earlyCallDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en"> Date prior to which the option buyer will have to pay a Make Whole Amount to the option seller if he/she exercises the option. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="ReferenceSwapCurve"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type used to specify the option and convertible bond option strike when expressed in reference to a swap curve. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="swapUnwindValue" type="SwapCurveValuation"/> <xsd:element minOccurs="0" name="makeWholeAmount" type="MakeWholeAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Amount to be paid by the buyer of the option if the option is exercised prior to the Early Call Date. (The market practice in the convertible bond option space being that the buyer should be penalized if he/she exercises the option early on.) </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="SwapCurveValuation"> <xsd:annotation> <xsd:documentation xml:lang="en"> A complex type to specify a valuation swap curve, which is used as part of the strike construct for the bond and convertible bond options. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:group ref="FloatingRateIndex.model"> <xsd:annotation> <xsd:documentation xml:lang="en"> Defines the benchmark floating rate index and the ISDA Designated Maturity, i.e. the tenor of the floating rate. </xsd:documentation> </xsd:annotation> </xsd:group> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"> <xsd:annotation> <xsd:documentation xml:lang="en"> Spread in basis points over the floating rate index. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="side" type="QuotationSideEnum"> <xsd:annotation> <xsd:documentation xml:lang="en">The side (bid/mid/ask) of the measure.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:element name="bondOption" substitutionGroup="product" type="BondOption"> <xsd:annotation> <xsd:documentation xml:lang="en">A component describing a Bond Option product.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.